/* @(#)x11defs.h	14.1.1.1 (ESO-IPG) 09/16/99 10:01:44 */
/* ----------------------------------------------------------------- */
/*            Include file x11defs.h                                 */
/*                                                                   */
/* K.Banse   890316                                                  */
/* version 2.1  KB  890623                                           */
/* version 2.8  901017, 910909, 911218, 920916, 930218               */
/* version 2.9  940629                                               */
/* ----------------------------------------------------------------- */

#ifdef vms
# include <decw$include/Xlib.h>
# include <decw$include/Xutil.h>
# include <decw$include/cursorfont.h>
# include <decw$include/keysym.h>

#else
# include <X11/Xlib.h>
# include <X11/Xutil.h>
# include <X11/cursorfont.h>
# include <X11/keysym.h>
/*
      if you use OpenWindows on the Sun the include files may be somewhere
      else, e.g. at ESO one would have to change the 4 lines above to:

# include "/ns0a/xnews/include/X11/Xlib.h"
# include "/ns0a/xnews/include/X11/Xutil.h"
# include "/ns0a/xnews/include/X11/cursorfont.h"
# include "/ns0a/xnews/include/X11/keysym.h"

*/
#endif

#define   XLUTFACT   65535.0


Display            *mydisp[MAX_WST];
Visual             *myvis[MAX_WST];
Colormap           cmap[MAX_WST][MAX_LUT];
Cursor             mycurs[MAX_WST][4];
GC                 gcima[MAX_DEV], gcdraw[MAX_DEV];
GC                 gclut[MAX_DEV], gcalph[MAX_DEV];
XGCValues          xgcvals;
KeySym             mykey;
Status             x11stat;
Drawable           xdrawable;
Window             rw[MAX_WST], mwndw[MAX_DEV], lutwnd[MAX_DEV],
                   alphwnd[MAX_DEV];

XColor             mycolr[MAX_WST][256*MAX_LUT], fixcolr[MAX_WST][9], exact;
XEvent             myevent;
XFontStruct        *myfont[MAX_WST][4];
XImage             *myima, *mxima[MAX_DEV][MAX_MEM], *mzima[MAX_DEV][MAX_MEM];
XImage             *lutxima[MAX_DEV];
XImage             *hcopy[MAX_DEV];
Pixmap             mxpix[MAX_DEV][MAX_MEM];
XSegment           myvect[200];
XSegment           curso0[MAX_DEV][4], curso1[MAX_DEV][4], roio[MAX_DEV][4],
                   zoomcross[2];
XSetWindowAttributes   sattributes;
XWindowAttributes      attributes;
XSizeHints         myhint[MAX_DEV];
XVisualInfo        vinfo;
XWMHints           xwmh;
XComposeStatus     xcstat;

long int           event_mask;
int                myscreen;


